29 Jan 2015
January 29, 2015

vtDZiner

0 Comment

vtDziner

vtiger team has built a robust architecture and intuitive and better UI, I must admit it has taken me equally long to develop our improved vtDZiner for Vtiger 7.0 and 7.1 and 7.2

As on date most offerings to extend Vtiger are limited to Module creation within the Vtiger framework. They do not offer any ability to modify a module behaviour after creation of a module. This is what vtDZiner fulfils. Vtiger 7 has made significant changes to the code and user experience from the earlier versions. Using Bootstrap has not only provided for a smoother interface, and the redesign of the code base, and some rationalisation/refactoring, but also makes it easier for developers to extend the system without tampering with the base code.

vtDZiner has kept pace with Vtiger and introduced inForm DZining, a WYSIWYG (What You See Is What You Get) interface to Vtiger module designing and configuration. Up to five unobtrusive screen elements in the form of icons, text links and buttons are placed to invoke the DZiner capability which donot tamper the base code.

What this does for the Vtiger DZiner, with the intent on customizing Vtiger  is to provide a simple GUI based interface to the vtlib API of Vtiger.

This simplification via an intelligent UX, multiplies the CRM analyst’s capabilities to rapidly extend the CRM functionality to map the adjacent business domains.

Salient features of vtDZiner 7.1 include

Relationship management
Pick blocks
Panel blocks
Extended UI types
Widget customisation
Field attribute management
View customisation
Workflow custom process registration
Language management
Custom Module creation
Menu management
As much as possible, where Vtiger has limited or constrained the expression of module elements, vtDZiner has made them possible, such as

Custom Modules in Customer Portal
Webforms to Custom Modules and other native modules
Minimum navigation between modules for various features etc
Works better with

PHP Version :- 5.5 or later
mySQL Version:- 5.6.30 or later
Apache Version:- 2.2 or later
Vtiger Versions:-  6.x and 7.x
Note:- For installation on customized versions of vtiger. Please get in touch with us so we can analyze the your system for compatibility.

What more can a business analyst or a vtiger developer can ask for?

Please Contact us for more details

Cheers!!!

vTigress Team 

Leave a Reply

Your email address will not be published. Required fields are marked *